package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:HelloCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:HelloCommonController"],
        beego.ControllerComments{
            Method: "TesrR1",
            Router: "/hello",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:HelloCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:HelloCommonController"],
        beego.ControllerComments{
            Method: "TesrR2",
            Router: "/hello2",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: "/getWxSign",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "TesrR2",
            Router: "/hello2",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "WechatLoginByxzs",
            Router: "/loginByxzs",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
